
/****
* Copyright (c) 2008, David Draco
* All rights reserved.
* I declare this code public domain. 
*/

/****
* This is a example usage of nldebug
* see http://nldebug.sourceforge.net/
*/

#include "helperfunc.c"


int main(int argc, char ** argv){
	int i = 1;
	if(argc < 1){
		fprintf(stderr, "SYNOPSIS: %s <texts>\n\nsends every text as a debug message (through UDP)\n", argv[0]);
		return -1;
	}
	
	udpdebug("test: testmsg1");
	udpdebug("test: testmsg2");
	udpdebug("test: testmsg1");
	udpdebug("test: testmsg3");
	udpdebug("test: testmsg1");
	
	while(i<argc){
		if(strlen(argv[i])>200)
			argv[i][200] = 0;
		
		udpdebug(argv[i]);
		i++;
	}
	return 0;
}
